commit:     50ce7e58aa3aacadd27bd3d484eb7fae1a121571
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Jan  5 10:56:17 2025 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Jan  5 11:04:18 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=50ce7e58

dev-ruby/dry-core: add 1.1.0

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/dry-core/Manifest              |  1 +
 dev-ruby/dry-core/dry-core-1.1.0.ebuild | 45 +++++++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/dev-ruby/dry-core/Manifest b/dev-ruby/dry-core/Manifest
index 028684b4143a..2d80cdd9bcc2 100644
--- a/dev-ruby/dry-core/Manifest
+++ b/dev-ruby/dry-core/Manifest
@@ -1,2 +1,3 @@
 DIST dry-core-1.0.1.tar.gz 44746 BLAKE2B 
fb85107dd68dfb2a8d3ee2e66b4bb8b416ac325be4d28bcbbf5605e0a90992eb8aa85a8fad3cba8f228a5a7e50109cd2c1dbf920eebc3423d282055204c6b0a5
 SHA512 
d769795459a0ffc007eb66e2b9af9be4e635c620a5ca54a76113057b495e1126600a572761d8ff33a3ee6a4fca948f6fc29d3200e7ba0b56c1bb600a4749bbd4
 DIST dry-core-1.0.2.tar.gz 44646 BLAKE2B 
0ae5a3d2bd245d7f42b9f500841dc47e8baf827e78a89d3a2f1edd5e4821470b26eb9180079886bcbb007d2ab86369ddb1855a465a88fe04e30a6dbe557b2a92
 SHA512 
4d4ba37f3c7d25047cd0b4d5f28a358ed98e664ac5397476f3999dae26674a63d5e70fc9f64f0a8b863149ba9978d6dd87af89f55fc6ad43236c09c235550345
+DIST dry-core-1.1.0.tar.gz 44589 BLAKE2B 
ec1cca6b3eba5d23c721993d681c1518e1f5466714dad0b6a7e77f1a5de5c5f805ff49ece775569fc257e5106f597e0cec610776aaa06a0cc298d79e3a9d1228
 SHA512 
2649b04c95b9e53048808c5df6a1346f6c54c862bac6d164aa8c4c4f5f333d778c555fa081cbbaedab83925e72027b6391418f6857936a4d8a0940005f8c0d52

diff --git a/dev-ruby/dry-core/dry-core-1.1.0.ebuild 
b/dev-ruby/dry-core/dry-core-1.1.0.ebuild
new file mode 100644
index 000000000000..2352c7017c06
--- /dev/null
+++ b/dev-ruby/dry-core/dry-core-1.1.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="dry-core.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A toolset of small support modules used throughout the dry-rb 
ecosystem"
+
+HOMEPAGE="https://dry-rb.org/gems/dry-core/";
+SRC_URI="https://github.com/dry-rb/dry-core/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+LICENSE="MIT"
+
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+
+ruby_add_rdepend "
+       dev-ruby/concurrent-ruby:1
+       dev-ruby/logger
+       >=dev-ruby/zeitwerk-2.6:2
+"
+
+ruby_add_bdepend "test? (
+       <dev-ruby/activesupport-8
+       dev-ruby/dry-inflector
+       dev-ruby/dry-logic
+       dev-ruby/dry-types
+)"
+
+all_ruby_prepare() {
+       # Inflecto is not packaged
+       sed -e '/with Inflecto/ s/context/xcontext/' \
+               -i spec/dry/core/inflector_spec.rb || die
+
+       sed -e '3igem "activesupport", "<8"' \
+               -i spec/spec_helper.rb || die
+}

Reply via email to